import request from '@/utils/axios'

let base = '/treeAndTable/'

let url = {
    'Dept': base + 'dept/',
}

// 获取dept数据
export function getDeptData(parent) {
    return request({
        url: url.Dept,
        method: 'get',
        params: parent
    })
}

// 删除接口
export function deleteDeptData(id) {
    return request({
        url: url.Dept,
        method: 'delete',
        params: id
    })
}

/**
 * 更新接口
 * 参数要有id和name
 */
export function putDeptData(data) {
    return request({
        url: url.Dept,
        method: 'put',
        data
    })
}

/**
 * 新增接口
 * 参数要有一个id和name
 */
export function postDeptData(data) {
    return request({
        url: url.Dept,
        method: 'post',
        data
    })
}